using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Documents;
using System.Windows;
using System.Windows.Media;

namespace AdornerExample
{
    // Example 18-31. Adorner using visual layer

    class BoxingAdorner : Adorner
    {
        public BoxingAdorner(UIElement adornedElement)
            : base(adornedElement) { }

        protected override void OnRender(DrawingContext drawingContext)
        {
            drawingContext.DrawRectangle(null, new Pen(Brushes.Blue, 2),
                new Rect(0, 0, 100, 40));
        }
    }

    // End of Example 18-31.
}
